System.Core 3.5.0.0 4.0.0.0 System.Linq.Expressions.Expression System.Diagnostics.DebuggerTypeProxy(typeof(System.Linq.Expressions.Expression/ConditionalExpressionProxy))

Use the factory method to create a .

The of a is .

Represents an expression that has a conditional operator.

- Method
  4.0.0.0
  System.Linq.Expressions.Expression ``

  This default implementation for nodes calls . Override this method to call into a more specific method on a derived visitor class of the class. However, it should still support unknown visitors by calling .

  Dispatches to the specific visit method for this node type. For example, calls the .

  The result of visiting this node.

  The visitor to visit this node with.
- Property
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.Expression To be added. To be added.

  Gets the expression to execute if the test evaluates to false.

- Property
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.Expression To be added. To be added.

  Gets the expression to execute if the test evaluates to true.

- Property
  4.0.0.0
  System.Linq.Expressions.ExpressionType To be added. To be added.

  Returns the node type of this expression. Extension nodes should return when overriding this method.

- Property
  3.5.0.0
  4.0.0.0
  System.Linq.Expressions.Expression To be added. To be added.

  Gets the test of the conditional operation.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the static type of the expression that this represents.

- Method
  4.0.0.0
  System.Linq.Expressions.ConditionalExpression `` `` `` To be added.

  Creates a new expression that is like this one, but using the supplied children. If all of the children are the same, it will return this expression

  This expression if no children changed, or an expression with the updated children.

  The property of the result. The property of the result. The property of the result.